Skip to content
NoetherDocs

POST /v1/keys/challenge

POST
/v1/keys/challenge

Issue a one-time challenge string the wallet must sign before an API key can be created.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/keys/challenge" \  -H "Content-Type: application/json" \  -d '{    "address": "stringstringstringstringstringstringstringstringstringst"  }'
{  "challengeHex": "string",  "expiresAt": 0}